cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/onboarding/handshake/{sessionId}import requests
url = "https://api.staging.qyl.dev/api/v1/onboarding/handshake/{sessionId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/onboarding/handshake/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"challenge": "<string>",
"challenge_method": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"browser_fingerprint": "<string>",
"origin_url": "<string>",
"verified_at": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Onboarding
Get handshake
Get handshake session status
GET
/
api
/
v1
/
onboarding
/
handshake
/
{sessionId}
cURL
Path Parameters
Response
The request has succeeded.
Browser-local handshake session for workspace verification
Session ID
Target workspace
PKCE-style challenge
Challenge method
Handshake state
Available options:
pending, verified, expired, rejected Expiration timestamp
Creation timestamp
Browser fingerprint
Origin URL
Verification timestamp
Was this page helpful?
⌘I
